> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1landscape



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Data//swagger/v1/swagger.json post /api/v1/Landscape
openapi: 3.0.0
info:
  title: NDS.Services.Data
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Data/
security: []
paths:
  /api/v1/Landscape:
    post:
      tags:
        - Landscape
      operationId: Landscape_GetLandscape
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetLandscapeRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetLandscapeResult'
components:
  schemas:
    GetLandscapeRequest:
      allOf:
        - $ref: '#/components/schemas/BaseMessage'
        - type: object
          additionalProperties: false
          properties:
            Landscapes:
              type: array
              nullable: true
              items:
                type: string
    GetLandscapeResult:
      allOf:
        - $ref: '#/components/schemas/ResultMessage'
        - type: object
          additionalProperties: false
          properties:
            Landscapes:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/Landscape'
    BaseMessage:
      allOf:
        - $ref: '#/components/schemas/Message'
        - type: object
          additionalProperties: false
    ResultMessage:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
        Code:
          type: string
          nullable: true
    Landscape:
      type: object
      additionalProperties: false
      properties:
        Name:
          type: string
          nullable: true
        Server:
          type: string
          nullable: true
        Namespaces:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/DataNamespace'
        DataSources:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/DataSource'
        DataSourceTypes:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/DataSourceType'
    Message:
      type: object
      x-abstract: true
      additionalProperties: false
      properties:
        Context:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/MessageContext'
    DataNamespace:
      type: object
      additionalProperties: false
      properties:
        Name:
          type: string
          nullable: true
    DataSource:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          nullable: true
        Type:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/DataSourceType'
        Namespace:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/DataNamespace'
        Name:
          type: string
          nullable: true
        Description:
          type: string
          nullable: true
        CreationDate:
          type: string
          format: date-time
        UpdatedDate:
          type: string
          format: date-time
        AuthorId:
          type: string
          nullable: true
    DataSourceType:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          nullable: true
        Name:
          type: string
          nullable: true
        Description:
          type: string
          nullable: true
    MessageContext:
      type: object
      additionalProperties: false
      properties:
        CorrelationId:
          type: string
          nullable: true
        UserId:
          type: string
          nullable: true
        Pads4UserId:
          type: string
          nullable: true
        Domain:
          type: string
          nullable: true
        Claims:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/UserClaim'
        SecondaryIdentities:
          type: array
          nullable: true
          items:
            type: string
        ImpersonationId:
          type: string
          nullable: true
    UserClaim:
      type: object
      additionalProperties: false
      properties:
        Type:
          type: string
          nullable: true
        Value:
          type: string
          nullable: true

````